---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-03-27T14:34:38Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://66eb2dc7-9554-4399-a3fb-cf0eb353f572"
documentDescribes:
- "SPDXRef-Project-Maven-net.java.jsr375-javaee-security-examples-1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-net.java.jsr375-rest-basic-example-1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-net.java.jsr375-roles-allowed-and-runas-1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-net.java.jsr375-simple-jaas-example-1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-net.java.jsr375-simple-jacc-example-1.0-SNAPSHOT"
- "SPDXRef-Project-Maven-net.java.jsr375-simple-jaspic-example-1.0-SNAPSHOT"
packages:
- SPDXID: "SPDXRef-Project-Maven-net.java.jsr375-javaee-security-examples-1.0-SNAPSHOT"
  copyrightText: "Copyright (c) 2015, 2018 Oracle and/or its affiliates"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javaee-security-examples"
  summary: "NONE"
  versionInfo: "1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-net.java.jsr375-rest-basic-example-1.0-SNAPSHOT"
  copyrightText: "Copyright (c) 2015, 2018 Oracle and/or its affiliates"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "rest-basic-example"
  summary: "NONE"
  versionInfo: "1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-net.java.jsr375-roles-allowed-and-runas-1.0-SNAPSHOT"
  copyrightText: "Copyright (c) 2015, 2018 Oracle and/or its affiliates"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "roles-allowed-and-runas"
  summary: "NONE"
  versionInfo: "1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-net.java.jsr375-simple-jaas-example-1.0-SNAPSHOT"
  copyrightText: "Copyright (c) 2015, 2018 Oracle and/or its affiliates"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "simple-jaas-example"
  summary: "NONE"
  versionInfo: "1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-net.java.jsr375-simple-jacc-example-1.0-SNAPSHOT"
  copyrightText: "Copyright (c) 2015, 2018 Oracle and/or its affiliates"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "simple-jacc-example"
  summary: "NONE"
  versionInfo: "1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-net.java.jsr375-simple-jaspic-example-1.0-SNAPSHOT"
  copyrightText: "Copyright (c) 2015, 2018 Oracle and/or its affiliates"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "simple-jaspic-example"
  summary: "NONE"
  versionInfo: "1.0-SNAPSHOT"
- SPDXID: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 1997-2010 Oracle and/or its affiliates\nCopyright (c) 1997-2013 Oracle and/or\
    \ its affiliates\nCopyright (c) 2009-2013 Jason Mehrens\nCopyright (c) 2013 Oracle\
    \ America, Inc.\ncopyrighted by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/sun/mail/javax.mail/1.5.0/javax.mail-1.5.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.sun.mail/javax.mail@1.5.0"
  filesAnalyzed: false
  homepage: "http://javamail.java.net/javax.mail"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "CDDL-1.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "javax.mail"
  summary: "JavaMail API"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0-vcs"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 1997-2010 Oracle and/or its affiliates\nCopyright (c) 1997-2013 Oracle and/or\
    \ its affiliates\nCopyright (c) 2009-2013 Jason Mehrens\nCopyright (c) 2013 Oracle\
    \ America, Inc.\ncopyrighted by the Free Software Foundation"
  downloadLocation: "hg+http://java.net/hg/javamail~mercurial"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.sun.mail/javax.mail@1.5.0"
  filesAnalyzed: false
  homepage: "http://javamail.java.net/javax.mail"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javax.mail"
  summary: "JavaMail API"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0-source-artifact"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 1997-2010 Oracle and/or its affiliates\nCopyright (c) 1997-2013 Oracle and/or\
    \ its affiliates\nCopyright (c) 2009-2013 Jason Mehrens\nCopyright (c) 2013 Oracle\
    \ America, Inc.\ncopyrighted by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/sun/mail/javax.mail/1.5.0/javax.mail-1.5.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.sun.mail/javax.mail@1.5.0"
  filesAnalyzed: false
  homepage: "http://javamail.java.net/javax.mail"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javax.mail"
  summary: "JavaMail API"
  versionInfo: "1.5.0"
- SPDXID: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
  copyrightText: "(c) Copyright 2002-2003 IBM Corp.\nCopyright (c) 1989, 1991 Free\
    \ Software Foundation, Inc.\nCopyright (c) 1997-2013 Oracle and/or its affiliates\n\
    Copyright (c) 2006 Google Inc.\nCopyright (c) 2008, 2010 Oracle\nCopyright (c)\
    \ 2008-2009 Sun Microsystems\nCopyright (c) 2008-2013 Oracle Corporation\nCopyright\
    \ (c) 2009 The JSR-330 Expert Group\nCopyright (c) 2011-2013 Oracle America, Inc.\n\
    Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road, Palo Alto, California,\
    \ 94303, U.S.A.\nCopyright 1997-2007 Sun Microsystems, Inc.\nCopyright 2003 Sun\
    \ Microsystems, Inc.\nCopyright 2004-2007 The Apache Software Foundation\nCopyright\
    \ 2009-2013 Red Hat, Inc.\nCopyright 2010-2011 Red Hat, Inc., and individual contributors\
    \ by the authors\nCopyright 2011 Red Hat, Inc., and individual contributors by\
    \ the authors\nCopyright 2012-2013 International Business Machines Corp.\ncopyrighted\
    \ by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/javax/javaee-api/7.0/javaee-api-7.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/javax/javaee-api@7.0"
  filesAnalyzed: false
  homepage: "http://java.net/javaee-api/"
  licenseConcluded: "CDDL-1.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  licenseDeclared: "CDDL-1.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "javaee-api"
  summary: "Java(TM) EE 7 Specification APIs"
  versionInfo: "7.0"
- SPDXID: "SPDXRef-Package-Maven-javax-javaee-api-7.0-vcs"
  copyrightText: "(c) Copyright 2002-2003 IBM Corp.\nCopyright (c) 1989, 1991 Free\
    \ Software Foundation, Inc.\nCopyright (c) 1997-2013 Oracle and/or its affiliates\n\
    Copyright (c) 2006 Google Inc.\nCopyright (c) 2008, 2010 Oracle\nCopyright (c)\
    \ 2008-2009 Sun Microsystems\nCopyright (c) 2008-2013 Oracle Corporation\nCopyright\
    \ (c) 2009 The JSR-330 Expert Group\nCopyright (c) 2011-2013 Oracle America, Inc.\n\
    Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road, Palo Alto, California,\
    \ 94303, U.S.A.\nCopyright 1997-2007 Sun Microsystems, Inc.\nCopyright 2003 Sun\
    \ Microsystems, Inc.\nCopyright 2004-2007 The Apache Software Foundation\nCopyright\
    \ 2009-2013 Red Hat, Inc.\nCopyright 2010-2011 Red Hat, Inc., and individual contributors\
    \ by the authors\nCopyright 2011 Red Hat, Inc., and individual contributors by\
    \ the authors\nCopyright 2012-2013 International Business Machines Corp.\ncopyrighted\
    \ by the Free Software Foundation"
  downloadLocation: "svn+https://svn.java.net/svn/glassfish~svn#main/appserver/javaee-api-parent/javaee-api"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/javax/javaee-api@7.0"
  filesAnalyzed: false
  homepage: "http://java.net/javaee-api/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javaee-api"
  summary: "Java(TM) EE 7 Specification APIs"
  versionInfo: "7.0"
- SPDXID: "SPDXRef-Package-Maven-javax-javaee-api-7.0-source-artifact"
  copyrightText: "(c) Copyright 2002-2003 IBM Corp.\nCopyright (c) 1989, 1991 Free\
    \ Software Foundation, Inc.\nCopyright (c) 1997-2013 Oracle and/or its affiliates\n\
    Copyright (c) 2006 Google Inc.\nCopyright (c) 2008, 2010 Oracle\nCopyright (c)\
    \ 2008-2009 Sun Microsystems\nCopyright (c) 2008-2013 Oracle Corporation\nCopyright\
    \ (c) 2009 The JSR-330 Expert Group\nCopyright (c) 2011-2013 Oracle America, Inc.\n\
    Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road, Palo Alto, California,\
    \ 94303, U.S.A.\nCopyright 1997-2007 Sun Microsystems, Inc.\nCopyright 2003 Sun\
    \ Microsystems, Inc.\nCopyright 2004-2007 The Apache Software Foundation\nCopyright\
    \ 2009-2013 Red Hat, Inc.\nCopyright 2010-2011 Red Hat, Inc., and individual contributors\
    \ by the authors\nCopyright 2011 Red Hat, Inc., and individual contributors by\
    \ the authors\nCopyright 2012-2013 International Business Machines Corp.\ncopyrighted\
    \ by the Free Software Foundation"
  downloadLocation: "https://repo.maven.apache.org/maven2/javax/javaee-api/7.0/javaee-api-7.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/javax/javaee-api@7.0"
  filesAnalyzed: false
  homepage: "http://java.net/javaee-api/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javaee-api"
  summary: "Java(TM) EE 7 Specification APIs"
  versionInfo: "7.0"
- SPDXID: "SPDXRef-Package-Maven-javax.activation-activation-1.1"
  copyrightText: "Copyright 1997-2005 Sun Microsystems, Inc."
  downloadLocation: "https://repo.maven.apache.org/maven2/javax/activation/activation/1.1/activation-1.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/javax.activation/activation@1.1"
  filesAnalyzed: false
  homepage: "http://java.sun.com/products/javabeans/jaf/index.jsp"
  licenseConcluded: "CDDL-1.0"
  licenseDeclared: "CDDL-1.0"
  name: "activation"
  summary: "JavaBeans Activation Framework (JAF) is a standard extension to the Java\
    \ platform that lets you take advantage of standard services to: determine the\
    \ type of an arbitrary piece of data; encapsulate access to it; discover the operations\
    \ available on it; and instantiate the appropriate bean to perform the operation(s)."
  versionInfo: "1.1"
- SPDXID: "SPDXRef-Package-Maven-javax.activation-activation-1.1-source-artifact"
  copyrightText: "Copyright 1997-2005 Sun Microsystems, Inc."
  downloadLocation: "https://repo.maven.apache.org/maven2/javax/activation/activation/1.1/activation-1.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/javax.activation/activation@1.1"
  filesAnalyzed: false
  homepage: "http://java.sun.com/products/javabeans/jaf/index.jsp"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "activation"
  summary: "JavaBeans Activation Framework (JAF) is a standard extension to the Java\
    \ platform that lets you take advantage of standard services to: determine the\
    \ type of an arbitrary piece of data; encapsulate access to it; discover the operations\
    \ available on it; and instantiate the appropriate bean to perform the operation(s)."
  versionInfo: "1.1"
- SPDXID: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 2015-2017 Oracle and/or its affiliates\nCopyright (c) 2015-2017 http://www.oracle.com'\
    \ Oracle and/or its affiliates\ncopyrighted by the Free Software Foundation"
  downloadLocation: "https://maven.java.net/content/repositories/releases/org/glassfish/soteria/javax.security.enterprise/1.0/javax.security.enterprise-1.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.glassfish.soteria/javax.security.enterprise@1.0"
  filesAnalyzed: false
  homepage: "http://java.net/parent/javax.security.enterprise/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "CDDL-1.0 OR GPL-2.0-only WITH Classpath-exception-2.0"
  name: "javax.security.enterprise"
  summary: "Reference Implementation for Java EE Security API"
  versionInfo: "1.0"
- SPDXID: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0-vcs"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 2015-2017 Oracle and/or its affiliates\nCopyright (c) 2015-2017 http://www.oracle.com'\
    \ Oracle and/or its affiliates\ncopyrighted by the Free Software Foundation"
  downloadLocation: "git+https://github.com/javaee/security-soteria.git@ef2ef7073402fb41f84b076093f5a806930eb49b"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.glassfish.soteria/javax.security.enterprise@1.0"
  filesAnalyzed: false
  homepage: "http://java.net/parent/javax.security.enterprise/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javax.security.enterprise"
  summary: "Reference Implementation for Java EE Security API"
  versionInfo: "1.0"
- SPDXID: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0-source-artifact"
  copyrightText: "Copyright (c) 1989, 1991 Free Software Foundation, Inc.\nCopyright\
    \ (c) 2015-2017 Oracle and/or its affiliates\nCopyright (c) 2015-2017 http://www.oracle.com'\
    \ Oracle and/or its affiliates\ncopyrighted by the Free Software Foundation"
  downloadLocation: "https://maven.java.net/content/repositories/releases/org/glassfish/soteria/javax.security.enterprise/1.0/javax.security.enterprise-1.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.glassfish.soteria/javax.security.enterprise@1.0"
  filesAnalyzed: false
  homepage: "http://java.net/parent/javax.security.enterprise/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "javax.security.enterprise"
  summary: "Reference Implementation for Java EE Security API"
  versionInfo: "1.0"
relationships:
- spdxElementId: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax.activation-activation-1.1"
- spdxElementId: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.sun.mail-javax.mail-1.5.0"
- spdxElementId: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-javax.activation-activation-1.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax.activation-activation-1.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax.security.enterprise-javax.security.enterprise-api-1.1-b01-20170827.084736-2"
- spdxElementId: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0-source-artifact"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-javaee-security-examples-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-rest-basic-example-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.glassfish.soteria-javax.security.enterprise-1.0"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-rest-basic-example-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-roles-allowed-and-runas-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-roles-allowed-and-runas-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-junit-junit-4.12"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-roles-allowed-and-runas-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.apache.openejb-openejb-core-4.7.5"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-simple-jaas-example-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
- spdxElementId: "SPDXRef-Project-Maven-net.java.jsr375-simple-jaspic-example-1.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-javax-javaee-api-7.0"
